Bug 1410211 - [GSS] (6.4.z) PicketLink SP does not pass RelayState to IDP
Summary: [GSS] (6.4.z) PicketLink SP does not pass RelayState to IDP
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: PicketLink
Version: 6.4.12
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR1
: EAP 6.4.15
Assignee: Radovan Netuka
QA Contact: Josef Cacek
URL:
Whiteboard:
Depends On: 1410196
Blocks: 1343635 eap6415-payload
TreeView+ depends on / blocked
 
Reported: 2017-01-04 18:59 UTC by dhorton
Modified: 2020-06-11 13:10 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1410196
Environment:
Last Closed: 2017-05-19 08:09:32 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker JBEAP-8078 0 Major Verified [GSS] (7.0.z) PLINK-759 - PicketLink SP does not pass RelayState to IDP 2017-06-13 08:53:37 UTC
Red Hat Issue Tracker JBEAP-8086 0 Major Verified [GSS] (7.1.0) PicketLink SP does not pass RelayState to IDP 2017-06-13 08:53:37 UTC
Red Hat Issue Tracker PLINK-759 0 Major Open PicketLink SP does not pass RelayState to IDP 2017-06-13 08:53:37 UTC

Description dhorton 2017-01-04 18:59:29 UTC
+++ This bug was initially created as a clone of Bug #1410196 +++

Description of problem:

PicketLink SP does not pass RelayState to IDP.  The RelayState can be configured in the SP's WEB-INF/picketlink.xml file, but it is not getting sent to the IDP:

<PicketLink xmlns="urn:picketlink:identity-federation:config:2.1">
	<PicketLinkSP xmlns="urn:picketlink:identity-federation:config:2.1"
		ServerEnvironment="tomcat" BindingType="POST" RelayState="imaRelayState">
	


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 dhorton 2017-01-04 19:54:12 UTC
6.4.x PR

https://github.com/jbossas/redhat-picketlink/pull/27

Comment 3 Ivo Hradek 2017-05-03 06:48:28 UTC
Verified with EAP-6.4.15.CP.CR{2,3}

Comment 4 Petr Penicka 2017-05-19 08:09:32 UTC
Released on May 18 as part of EAP 6.4.15.


Note You need to log in before you can comment on or make changes to this bug.